function [dataset, randorder] = permuteDataset(dataset, r)

if(exist('r', 'var'))
    rand('twister', r);
end

randorder = randperm(length(dataset.label));
dataset.label = dataset.label(randorder);
dataset.data = dataset.data(randorder, :);

if(isfield(dataset, 'time'))
 dataset.time = dataset.time(randorder);
end